export const FormControlSelectThemeWhite = {
  control: (styles, { isDisabled, isFocused }) => ({
    ...styles,
    color: 'white',
    border: isDisabled
      ? '0.0625rem solid transparent'
      : '0.0625rem solid transparent',
    boxShadow: isFocused
      ? '0 0 0 1px #76b1f5'
      : '',
    backgroundColor: isFocused
      ? '#4295f5'
      : '#278bff',
    opacity: isDisabled
      ? '0.4'
      : '',
    cursor: isDisabled
      ? 'not-allowed'
      : 'text',
    ':hover': {
      backgroundColor: '#4295f5',
      border: isDisabled
        ? '0.0625rem solid transparent'
        : '0.0625rem solid transparent',
    },
  }),
  dropdownIndicator: (styles, { isDisabled }) => ({
    ...styles,
    color: isDisabled ? 'white' : 'inherit',
    ':hover': {
      color: isDisabled ? 'white' : 'inherit',
    },
  }),
  placeholder: (styles) => ({
    ...styles,
    color: 'white',
  }),
  singleValue: (styles, { data, isDisabled }) => ({
    ...styles,
    pointerEvents: isDisabled
      ? 'none'
      : 'auto',
    color: isDisabled
      ? data.color
      : data.color,
  }),
  input: (styles) => ({
    ...styles,
    color: 'white',
  }),
};
