import React from 'react';
import PropTypes from 'prop-types';

const propTypes = {
  children: PropTypes.node.isRequired,
  /**
   * Display in tab or as title if `isWizard` is true
   */
  name: PropTypes.node, // eslint-disable-line react/no-unused-prop-types
};

const defaultProps = {
  name: null,
};

export const FormMultiStepsItem = ({ children }) => (
  <>
    {children}
  </>
);

FormMultiStepsItem.propTypes = propTypes;
FormMultiStepsItem.defaultProps = defaultProps;
